/*=====================================================================
Kirjastoluokka Nuottiarkiston haun tuloksien nyttmiseen ja tyyliin.
Luokka kytt luokan Html palveluja. 

kirjoittanut: Ahti Syreeni 
pvm:          24.4.2001
=====================================================================*/
public class Hakutulostekstit{
//*****************kuvien hakemistopolut ja sivun yleisasetelma********
  public static final String otsikko="Nuottihaun tulokset";
  public static final String tausta=
                      "http://db.cs.helsinki.fi/u/asyreeni/tausta.jpg";
  public static final String taulukkotyyli="style=\"width:100%\"";
  public static final int taulukkoreunus=1;
  //*******************************************************************
  public static String alkutekstit(){
    /**palauttaa hakutulossivun alkutekstit*/
    return Html.aluste("Nuottiarkisto-hakutulokset",tausta)+
           Html.otsikko(otsikko,1);
  }
  //-------------------------------------------------------------------
  public static String taulukko(boolean alku){
    /**palauttaa hakutulostaulukon alusteen*/
    if(alku)
      return Html.taulukkoaluste(taulukkoreunus,taulukkotyyli);
    else
      return Html.taulukkolopetus();
  }
  //-------------------------------------------------------------------
  public static String sarakenimet(){
    /**palauttaa hakutulostaulukon sarakenimet*/
    return  "  <tr>\n"+
            "    <th>S&auml;velt&auml;j&auml;</th>\n"+
            "    <th>Teoksen nimi</th>\n"+
            "    <th>S&auml;vellysvuosi</th>\n"+
            "    <th>Koko</th>\n"+
            "    <th>URL-osoite</th>\n"+
            "  </tr>\n";
  }
  //-------------------------------------------------------------------
  public static String lisayspvm(String pvm){
    /**palauttaa lisysmerkinnn*/
    return "  <em>Lis&auml;tty: "+pvm+"</em>";
  }
  //-------------------------------------------------------------------
  public static String linkit(boolean rekisteroitynyt){
    /**palauttaa linkit muille sivuille*/
    if(rekisteroitynyt)
      return 
        "<p>"+Html.linkki("Etusivu ","Etusivu")+"--"+
          Html.linkki("Nuotinlisays","Nuottilomake")+"--\n  "+
          Html.linkki("Nuotinpoisto","Nuotinpoistolomake")+"--"+     
          Html.linkki("Lopetus","Logout")+"\n"+
        "</p>";
    else
      return
        "<p>"+Html.linkki("Etusivu ","Etusivu")+"</p>";
  }    
  //-------------------------------------------------------------------
  public static String tulosrivi(String sukunimi, String etunimi,
                                 String teos,     String svuosi,
                                 String koko,     String url,
                                 int    hakunro){
    /**palauttaa taulukkorivin annetuilla parametreilla*/   

    //ei pstet tietokannan null-arvoa nkyviin  
    String nimi;
    if(sukunimi==null)  
      sukunimi="-";
    else          //vltetn NullPointerException
      if(sukunimi.equals("null"))    
        sukunimi="-";
    if(etunimi==null)
      etunimi="-";
    else
      if(etunimi.equals("null"))    
        etunimi="-";
    if( svuosi==null)
      svuosi="-";
    else
      if(svuosi.equals("null"))
        svuosi="-";
    if(koko==null)
      koko="-";
    else
      if(koko.equals("null"))
        koko="-";

    nimi=sukunimi+", "+etunimi;
    return 
      "  <tr>\n"+
      "    <td>"+nimi+"</td>\n"+     
      "    <td>"+Html.linkki(teos,"#"+hakunro)+"</td>\n"+     
      "    <td>"+svuosi+"</td>\n"+     
      "    <td>"+koko+"</td>\n"+     
      "    <td>"+Html.linkki(url,url)+"</td>\n"+
      "  </tr>\n";     
  }
  //-------------------------------------------------------------------
  public static String lisatiedot(String otsikko, String tieto,
                                  String pvm,     int    nro){
    /**palauttaa listiedot html-muodossa */
    if(tieto==null)
      tieto="";
    else
      if(tieto.equals("null"))
        tieto="";

    return
      "<h3>"+Html.nimea(otsikko, ""+nro)+"</h3>\n"+
      "<p>\n"+tieto+"<br>\n<em>Lis&auml;tty: "+pvm+"</em>\n</p>";
  }
}
