/*=====================================================================
Kirjastoluokka Nuottiarkiston etusivun tekstien tallentamiseen
Kaikki tekstit ovat html-muodossa ja luokan metodit palauttavat 
tekstit html-muodossa. Joidenkin html-rakenteiden luomiseen kytetn
mys Html-luokan palveluja.

kirjoittanut: Ahti Syreeni 
pvm:          21.4.2001
=====================================================================*/

public class Etusivutekstit{
  //*******************Hakemistopolut kuville**************************
  private static final String otsikko="Nuottiarkisto"; //sivun otsikko    
  private static final String otsikkokuva=
            "http://db.cs.helsinki.fi/u/asyreeni/nuottiarkisto.jpg";    
  private static final String tausta=
                   "http://db.cs.helsinki.fi/u/asyreeni/tausta.jpg";    
  //*******************************************************************
  //*************************sisnkirjoittautuminen*******************
  private static final String login=""+
    /**lomake sisnkirjoittautumista varten*/
     "<center>\n"+
     "<form method=\"post\" action=./Login>\n"+
     "  <table border=3>\n"+
     "  <tr>\n"+
	   "    <td><label for=\"ktunnus\">K&auml;ytt&auml;j&auml;tunnus:\n"+
     "        </label> <input type=\"text\" name=\"ktunnus\" size=15\n"+
	   "        maxlength=10></td>\n"+
	   "    <td><label for=\"salasana\">Salasana:</label>\n"+
	   "        <input type=\"password\" name=salasana size=15\n"+ 
     "        maxlength=10></td>\n"+
     "  <tr>\n"+
	   "    <td>Ei k&auml;ytt&auml;j&auml;tunnusta? <a href=\n"+
     "        \"Rekisterointilomake\">Rekister&ouml;idy.</a></td>\n"+
	   "    <td><input type=\"submit\" value=\"L&auml;het&auml;\">\n"+
	   "        <input type=\"reset\" value=\"Tyhjenn&auml;\"></td>\n"+
     "  </table>\n"+
     "</form>"+
     "</center>";
  //****************************Hakupalvelulomake**********************
  private static final String hakupalveluA=""+
    /**Hakupalvelun osat ennen vaihtuvaa aihepiiri-kentt */
     "<form method=\"post\" action=./Haku>\n"+
     "  <table border=1 style=\"width:100%;\">\n"+
     "    <col style=\"width:30%;\"><col style=\"width:70%;\">\n"+
     "    <tr>\n"+
     "      <td><input type=\"checkbox\" name=vhakusana><label for=\n"+
     "          \"hakusana\">Hakusana:</label></td>\n"+
     "      <td><input type=\"text\" name=hakusana style=\n"+
     "          \"width:100%;\"></td>\n"+
     "    <tr>\n"+
  	 "      <td><input type=\"checkbox\" name=vteosnimi><label for=\n"+
     "          \"teosnimi\">Teoksen nimi:</label></td>\n"+
  	 "      <td><input type=\"text\" name=teosnimi "+ 
                 "style=\"width:100%;\"\n></td>\n"+
  	 "    <tr>\n"+
  	 "      <td><input type=\"checkbox\" name=saveltaja><label for\n"+
     "          =\"sukunimi\">S&auml;velt&auml;j&auml;:</label></td>\n"+
  	 "      <td><label for=\"etunimi\">Etunimi:</label><input type=\n"+
     "          \"text\" name=etunimi style=\"width:100%;\">\n"+
     "          <label for=\"sukunimi\">Sukunimi:</label><input type=\n"+
     "          \"text\" name=sukunimi style=\"width:100%;\"></td>\n"+
     "    <tr>\n";

  private static final String hakupalveluB=""+
    /**hakupalvelulomakkeen loppuosa, aihepiiri-kentn jlkeen*/
     "    <tr>\n"+
  	 "      <td><input type=\"checkbox\" name=vvuosi><label for=\n"+
     "          \"svuosi\">S&auml;vellysvuosi:</label></td>\n"+
  	 "      <td><input type=\"text\" name=svuosi style=\"width:50%;\"\n"+
     "          maxlength=4>\n"+
  	 "          <select name=svuositarkkuus style=\"width:50%;\">\n"+
  	 "            <option selected>tasan\n"+
  	 "            <option>jalkeen\n"+
  	 "            <option>ennen\n"+
  	 "          </select></td>\n"+
  	 "    <tr>\n"+
  	 "      <td><input type=\"checkbox\" name=vuutuudet><label\n"+
     "          for=\"uutuudet\">Vain uutuuudet:</label></td>\n"+
  	 "      <td>\n"+
  	 "          <select name=uutuudet style=\"width:100%;\">\n"+
  	 "            <option selected>1 kk\n"+
  	 "            <option>2 kk\n"+
  	 "            <option>3 kk\n"+
  	 "            <option>4 kk\n"+
  	 "            <option>5 kk\n"+
  	 "            <option>6 kk\n"+
  	 "            <option>7 kk\n"+
  	 "            <option>8 kk\n"+  
  	 "            <option>9 kk\n"+
  	 "            <option>10 kk\n"+
  	 "            <option>11 kk\n"+
  	 "            <option>12 kk\n"+
  	 "          </select></td>\n"+
     "    <tr>\n"+
  	 "      <td><input type=\"submit\" value=\"L&auml;het&auml;\">\n"+
  	 "          <input type=\"reset\" value=\"Tyhjenn&auml;\"></td>\n"+
     "  </table>\n"+
     "</form>";

  //===================================================================
  //*************************metodit***********************************

  public static String aluste(){
    /**palauttaa sivun alun Html-mrittelyn otsikolla*/
    return Html.aluste("Nuottiarkisto",tausta);
  }
  //-------------------------------------------------------------------
  public static String otsikko(){
    /**palauttaa etusivun otsikon html-muodossa, kuvaosoite voidaan mys 
    jtt tyhjksi alun mrittelyss*/

    if(!(otsikkokuva==null))
      return Html.otsikkokuva(otsikko, otsikkokuva);
    else
      return Html.otsikko(otsikko,1);
  }
  //-------------------------------------------------------------------
  public static String esittely(){
    /**palauttaa Nuottiarkiston yleisesittelyn*/
    return
      "<p>Nuottiarkisto on www-pohjainen nuottijulkaisujen tietojen\n"+ 
      "   s&auml;il&ouml;mispaikka. Arkistoon ker&auml;t&auml;&auml;n "+
      "   Internetiss&auml; saatavilla\n"+ 
      "   olevien nuottijulkaisujen tietoja ja linkit niihin.\n"+
      "   Nuottiarkistosta voidaan hakea nuottijulkaisuja erilaisin\n"+ 
      "   hakuehdoin ja nuottijulkaisuja voidaan sek&auml; lis&auml;t"+
          "&auml;\n"+ 
      "   ett&auml; poistaa. <em>Lis&auml;&auml;minen ja poistaminen"+ 
          " edellyttav&auml;t\n "+Html.linkki(
                                        "rekister&ouml;itymist&auml;.",
                                        "Rekisterointilomake")+"</em>\n "+ 
      "   Jos olet rekister&ouml;itynyt, voit kirjoittautua "+
      "   sis&auml;&auml;n hakulomakkeen alla olevalla pienell&auml; "+
      "   lomakkeella."+
      "</p>\n";
  }
  //-------------------------------------------------------------------
  public static String rekEsittely(){
    /**palauttaa rekister&ouml;ityneiden kyttjien etusivun esittelyn */
    return
      "<p><strong>Koska olet rekister&ouml;itynyt</strong>, voit valita"+
      "   vapaasti seuraavista vaihtoehdoista. <em>Muista kuitenkin\n"+
      "   olevasi vastuussa lis&auml;&auml;mist&auml;si teoksista."+
          " Nuottiarkistoon\n"+
      "   ei saa lis&auml;t&auml; linkkej&auml; tekij&auml;noikeuksia"+
          " rikkoviin \n nuottijulkaisuihin.</em></p>\n";
  }
  //-------------------------------------------------------------------
  public static String ohjeet(){
    /**palauttaa etusivun ohjeet */
    return
      "<h2>Ohjeita arkistosta hakuun</h2>\n"+
      "  <p>Jokainen hakuvaihtoehto, joka halutaan hakuperusteeksi,\n"+
      "     on merkitt&auml;v&auml; lomakkeen  vasemmassa reunassa\n "+
      "     olevalla rastilla. Useita hakuvaihtoehtoja voidaan\n "+
      "     merkit&auml; kerralla hakuvaihtoehdoiksi, jolloin\n "+
      "     haettavien nuottijulkaisujen on t&auml;ytett&auml;v&auml;\n "+
      "     kaikki merkityt hakukriteerit. Mik&auml;li hakuperuste on\n "+
      "     merkitty, mutta sille ei ole annettu mit&auml;&auml;n arvoja,\n "+
      "     hakuperustetta ei huomioida haussa. T&auml;ytetty&auml;si\n"+
      "     hakulomakkeen suorita haku painamalla lomakkeen alhaalla\n"+
      "     olevaa \"L&auml;heta\"-nappia. Voit my&ouml;s\n "+
      "     tyhj&auml;t&auml; lomakkeen \"Tyhjenn&auml;\"-napista.\n"+
      " </p>\n"+
      "<ul>\n"+
      "  <li>Hakusana\n"+
      "    <ul>\n"+
      "      <li>Jos merkitset t&auml;m&auml;n hakuperusteen ja annat\n"+ 
      "          jonkin sanan, nuottiarkistosta haetaan kaikki ne \n"+
      "          nuottijulkaisut, joiden s&auml;velt&auml;j&auml;n\n"+
      "          nimess&auml;, teoksen nimess&auml;, URL-osoitteessa, \n"+
      "          aihepiireiss&auml; tai lis&auml;tiedoissa esiintyy\n"+
      "          antamasi sana. Antamasi sanan kirjainkoolla ei ole \n"+
      "          merkityst&auml; ja hakusanan ei tarvitse olla\n"+
      "          kokonainen sana ja hakusana voi sijaita \n"+
      "          nuottijulkaisun tiedoissa my&ouml;s sanan\n"+
      "          keskell&auml;. Niinp&auml; esimerkiksi antamalla\n"+
      "          hakusanaksi kirjain a, saadaan hakutulokseksi kaikki\n"+
      "          ne teokset, joiden edell&auml; luetelluissa tiedoissa\n"+ 
      "          a-kirjain esiintyy. Hakutuloksia voi siis rajoittaa\n"+
      "          antamalla pitempi&auml; hakusanoja. <strong>Hakusana \n"+
      "          ei saa sis&auml;lt&auml;&auml; hipsuja (')</strong></li>\n"+                  
      "      </ul></li>\n"+
      "   <li>Teoksen nimi\n"+
      "      <ul>\n"+
      "        <li>Hakuehdolla haetaan kaikki ne teokset, joiden\n"+
      "            nimen alussa esiintyy annettu nimi.<strong>Teoksen\n"+ 
      "            nimi ei saa sis&auml;lt&auml;&auml; hipsuja (')\n"+
      "             </strong></li>\n, kirjainkoolla ei ole v&auml;li&auml;"+                  
      "      </ul></li>\n"+       
      "   <li>S&auml;velt&auml;j&auml;\n"+
      "      <ul>\n"+
      "        <li>Hakuehdolla haetaan kaikki ne teokset joiden\n"+
      "            s&auml;velt&auml;j&auml;n nimess&auml; on annettu sana."+
      "            S&auml;velt&auml;j&auml;n nimet\n"+
      "            eiv&auml;t saa sis&auml;lt&auml;&auml; hipsuja"+ 
      "            (').<strong>\n Toinen nimist&auml; voidaan olla tyhj&auml;"+
      "            Huom! Joissakin selaimissa ei n&auml;y tekstej&auml;,"+
      "            jotka ilmoittavat, ett&auml; ylempi nimikentt&auml; on\n"+ 
      "            s&auml;velt&auml;j&auml;n etunimi ja alempi kentt&auml;\n"+ 
      "             s&auml;velt&auml;j&auml;n sukunimi.</strong></li>\n"+                  
      "      </ul></li>\n"+       
      "   <li>Aihepiiri\n"+
      "      <ul>\n"+
      "        <li>Hakuehdolla haetaan kaikki ne teokset, jotka\n"+
      "            kuuluvat valittuun aihepiiriin. Sama teos voi \n"+
      "            kuulua useampaankin aihepiiriin.</li>\n"+   
      "      </ul></li>\n"+       
      "   <li>S&auml;vellysvuosi\n"+
      "      <ul>\n"+
      "        <li>Hakuehdolla haetaan kaikki ne teokset, jotka\n"+
      "            on s&auml;velletty annettuna vuonna, sit&auml; ennen,\n"+
      "             tai sen j&auml;lkeen. Vuosiluku annetaan aina \n"+
      "            t&auml;ydellisen&auml; (esim.1995).</li>\n"+   
      "      </ul></li>\n"+       
      "   <li>Vain uutuudet\n"+
      "      <ul>\n"+
      "        <li>Hakuehdolla haetaan kaikki ne teokset, jotka\n"+
      "            on lis&auml;tty enint&auml;&auml;n valittu \n"+ 
      "            kuukausim&auml;&auml;r&auml; sitten. \n"+
      "      </ul></li>\n"+       
      "</ul>\n";

  }
  //-------------------------------------------------------------------
  public static String login(){
    /**palauttaa sisaankirjoittautumisen lomakkeen*/
    return login;
  }
  //-------------------------------------------------------------------
  public static String hakulomake(String[] aihepiirit){
    /**generoi html-hakulomakkeen  annetuilla aihepiireilla*/

    String lomake;               
    lomake=hakupalveluA;          //ensin lomakkeen ekat pysyvat osat
                                  //sitten alustus aihepiirivalikolle
    lomake+="      <td><input type=\"checkbox\" name=vaihepiiri>"+
                       "<label\n"+ 
            "          for=\"aihepiiri\">Aihepiiri:</label></td>"+
            "      <td><select name=aihepiiri style=\"width:100%;\">\n";

    if(aihepiirit.length>0){      //sitten annetut aihepiirit valikkoon
      if(!(aihepiirit[0]==null))
        lomake+="            <option selected>"+aihepiirit[0]+"\n";      
      if(aihepiirit.length>1)
        for(int i=1;i<aihepiirit.length;i++)
	  if(!(aihepiirit[i]==null))
          lomake+="            <option>"+aihepiirit[i]+"\n";   
    }
    lomake+="          </select>\n";
       
    lomake+=hakupalveluB;      //lomakkeen pysyvat loppuosat mukaan

    return lomake;
  }
  //-------------------------------------------------------------------
  public static String rekLinkit(){
    /**palauttaa linkit rekisterityneiden kyttjien toimintoihin*/
    return
      Html.linkki("Nuotinlis&auml;ys","Nuottilomake")+
      "--\n"+
      Html.linkki("Nuotinpoisto","Nuotinpoistolomake")+
      "--\n"+
      Html.linkki("Henkil&ouml;tietojen muuttaminen",
                  "Rekisterointilomake")+"--\n"+
      Html.linkki("Lopetus",
                  "Logout")+"\n";
  }
}
