/*=======================================================================
Kirjastoluokka Nuottiarkiston etusivun tekstien tallentamiseen
Kaikki tekstit ovat html-muodossa ja luokan metodit palauttavat 
tekstit html-muodossa.

kirjoittanut: Ahti Syreeni 
pvm:          30.4.2001
=======================================================================*/
public class Nuotinpoistotekstit{
  //*********************************************************************
  private static final String
                tausta="http://db.cs.helsinki.fi/u/asyreeni/tausta.jpg";
  //*********************************************************************  
  public static String aluste(){
    /**palauttaa nuotinpoistosivun alusteen*/
    return Html.aluste("Nuottiarkisto -nuottijulkaisun poisto",tausta)+
           Html.otsikko("Nuottijulkaisun poisto arkistosta",1)+"\n"+
           "<p>Valitse poistettavat nuottijulkaisut "+
           "   merkitsem&auml;ll&auml; s&auml;velt&auml;j&auml;n "+
           "   eteen rasti. Lopuksi l&auml;het&auml; lomake.";
  }
  //---------------------------------------------------------------------
  public static String napit(){
    /**palauttaa nuotinpoistolomakkeen napit*/
  return
    "<td><input type=\"submit\" value=\"Poista valitut arkistosta\">"+
         "</td>\n"+
  	"<td><input type=\"reset\" value=\"Tyhjenn&auml;\"></td>\n";
  }
  //---------------------------------------------------------------------
  public static String lomake(){
    /**palauttaa lomakkeen alusteen*/
    return
      "<form method=\"post\" action=./Nuotinpoisto>\n"+
      Html.taulukkoaluste(0,"style=\"width:100%;\"");  
  }
  //---------------------------------------------------------------------
  public static String lomakeotsikko(boolean ktunnuksella){
    /**palauttaa nuotinpoistolomakkeen sarakkeiden nimet*/
    String palaute;
    palaute="  <tr>\n"+
            "    <th>S&auml;velt&auml;j&auml;</th>\n"+
            "    <th>Nuottijulkaisu</th>\n"+
            "    <th>Url-osoite</th>"+
            "    <th>Lis&auml;ysp&auml;iv&auml;</th>\n";
    if(ktunnuksella)
      palaute+="  <th>Lis&auml;&auml;j&auml;</th>\n";
    palaute+="  </tr>\n";

    return palaute;
  }
  //---------------------------------------------------------------------
  public static String teosrivi(String sukunimi, String etunimi,
                                String teosnimi, String lisaysaika,
                                String lisaaja,  int tunniste,
                                String url){
    /**palauttaa yhden rivin nuotinpoistolomakkeesta*/
    //ei null-arvoja tulosteeseen. 
    String palaute;
    if(etunimi==null)
      etunimi="";
    else
      if(etunimi.equals("null"))
      etunimi="-";
    if(sukunimi==null)
      sukunimi="";
    else
      if(sukunimi.equals("null"))
      sukunimi="-";
    
    palaute="  <tr>\n"+
            "    <td><input type=\"checkbox\" name="+tunniste+">"+
                    "<label for=\n\""+sukunimi+", "+etunimi+"\">"+
                    sukunimi+", "+etunimi+"</label></td>\n"+
           "    <td>"+teosnimi+"</td>"+
           "    <td>"+Html.linkki(url,url)+"</td>"+
           "    <td>"+lisaysaika+"</td>\n";   

    if(!(lisaaja==null))  //kysymyksess arkistonhoitajan lomake
      palaute+="    <td>"+Html.linkki(lisaaja,"#"+lisaaja)+"</td>\n";
    palaute+="  </tr>\n";
    return palaute;
  }
  //---------------------------------------------------------------------
  public static String kayttajatietotaulukko(){
    /**palauttaa alusteen kyttjtietotaulukolle*/
    return Html.otsikko("K&auml;ytt&auml;j&auml;tiedot",2)+  
           Html.taulukkoaluste(0,"style=\"width:100%;\"")+
          "    <tr>\n"+
          "      <th>Sukunimi</th>\n"+
          "      <th>Etunimi</th>\n"+
          "      <th>S&auml;hk&ouml;postiosoite</th>\n"+
          "      <th>K&auml;ytt&auml;j&auml;tunnus</th>\n"+
          "    </tr>\n";
  }
  //---------------------------------------------------------------------
  public static String kayttajatietorivi(String ktunnus, String sukunimi,
                                         String etunimi, String sposti){
    /**palauttaa yhden rivin kyttjtietotaulukkoon annetuilla 
       parametreilla*/   

    String palaute;
    if(etunimi==null)
    etunimi="";
    if(sposti==null)
      sposti="";
  
    return  
            "    <tr>\n"+
            "      <td>"+sukunimi+"</td>\n"+
            "      <td>"+etunimi+"</td>\n"+
            "      <td>"+Html.email(sposti, sposti)+"</td>\n"+
            "      <td>"+Html.nimea(ktunnus,ktunnus)+"</td>\n"+
            "    </tr>\n";
  }
  //---------------------------------------------------------------------
  public static String lomakelopuke(){
    /**palauttaa lomakkeen lopputagin*/
    return "  </table>\n </form>";
  }  
  //---------------------------------------------------------------------
  public static String linkit(){
    /**palautta linkit muille sivuille*/
    String palaute=
      "<p>"+Html.linkki("Etusivu ","Etusivu")+"--"+
      Html.linkki("Nuotinlisays","Nuottilomake")+"--"+
      Html.linkki("Nuotinpoisto","Nuotinpoistolomake")+"--\n  "+     
      Html.linkki("Lopetus","Logout")+"\n"+     
      "</p>";
    return palaute;
  }    
}

