import java.io.*;
import java.sql.*;
/*=======================================================================
Kirjastoluokka Nuottiarkiston tietokanta-asetusten tallentamiseen.
Tmn luokan asetuksia muuttamalla voidaan vaihtaa kytettv 
tietokantaa.

kirjoittanut: Ahti Syreeni 
pvm:          23.4.2001
=======================================================================*/
public class Tietokanta{
  //***********************tietokanta-asetukset**************************
  private static final String tkAjuri="oracle.jdbc.driver.OracleDriver";
  private static final String 
              tkServeri="jdbc:oracle:thin:@kontti.helsinki.fi:1522:tktb";
  private static final String tkKayttajatunnus="ops$asyreeni";    
  private static final String tkSalasana="infolab";

  //*********************************************************************
  public static String tkAjuri(){
    /**palauttaa kytettvn tietokanta-ajurin*/
    return tkAjuri;
  }
  //---------------------------------------------------------------------
  public static String tkServeri(){
    /**palauttaa kytettvn tietokantaserverin*/
    return tkServeri;
  }
  //---------------------------------------------------------------------
  public static String tkKayttaja(){
    /**palauttaa kytettvn tietokannan kyttjtunnuksen*/
    return tkKayttajatunnus;
  }
  //---------------------------------------------------------------------
  public static String tkSalasana(){
    /**palauttaa kytettvn tietokantasalasanan*/
    return tkSalasana;
  }
  //---------------------------------------------------------------------
  public static Connection luoYhteys(){
    /**palauttaa tietokantayhteyden ylhll mriteltyyn tietokantaan*/
    Connection yhteys=null;
    try{ 
        Class.forName(tkAjuri);            
        yhteys = DriverManager.getConnection(tkServeri,
                          tkKayttajatunnus,tkSalasana); 
    }catch (Exception e) {}
    return yhteys;
  }
  //---------------------------------------------------------------------
  public static void suljeYhteys(Connection yhteys) {
    /**sulkee tietokantayhteyden kytettyyn tietokantaan*/
    try {
      yhteys.close();
    }catch (Exception e) {}
  }
}



 
